Subject: Re: bug#31495: 26.1; filename completion -vs- "*"

From: Tino Calancha <[email-masked]>
Date: Thu, 21 Jun 2018 10:50:18 +0900

Michael Albinus <[email-masked]> writes:

> Tino Calancha <[email-masked]> writes:
>
>> C-x d /sudo::/bin
>> ;; this command won't end if I am using zsh.
>> ;; It works OK with other shells (dash, bash, etc).
>
> Problems of cooperation between Tramp and zsh are discussed in the Tramp
> manual.
Thank you,

I find-grep 'zsh' in doc, and I found from tramp manual just this:
When using zsh on remote hosts, disable zsh line editor because zsh
uses left-hand side and right-hand side prompts in parallel.  Add the
following line to @file{~/.zshrc}:

@example
[[ $TERM == "dumb" ]] && unsetopt zle && PS1='$ ' && return
@end example

Then, I add such line in
~/.zsh
and
/root/.zsh
sudo ln -sf /bin/zsh /bin/sh
emacs -Q
C-x d /sudo::/bin
;; I don't get prompt for root password

ln -sf /bin/bash /bin/sh
C-x d /sudo::/bin
;; OK, but I lost globstar sniff, sniff :-(